3

How to install MetaUML for LyX?
How to use it? Is there a site where I can find resources about this subject?

And if not, is there an equivalent tool for this not Dia?

3

Is this what you are looking for: http://jack-kelly.com/latex_lyx_metauml_zotero_on_ubuntu

Install MetaUML

Install MetaUML (after installing TeXlive 2011) In the install file, change the directory TEXMF_HOME=/usr/share/texmf to /usr/share/texmf-texlive (or whatever your TeX Live install directory is).

Configure Lyx

Tell Lyx to pass the -shell-escape parameter to pdflatex. Go to Tools > Preferences > File Handling. Select "LaTeX (pdflatex) -> PDF (pdflatex)". Modify the "Converted:" field so it reads: pdflatex -shell-escape $$i . Click "Modify" and "Save".

LaTeX preamble

For MetaUML: The following is needed in order to make the code compatible with both latex /dvips and pdflatex.

\DeclareGraphicsRule{*}{mps}{*}{}

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.